package com.zjsgfa.project.zt.service;

import java.util.List;
import com.zjsgfa.project.zt.domain.LjSzfxjg;

/**
 * 邻井-实钻分析结果Service接口
 * 
 * @author
 * @date 2025-06-29
 */
public interface ILjSzfxjgService 
{
    /**
     * 查询邻井-实钻分析结果
     * 
     * @param id 邻井-实钻分析结果主键
     * @return 邻井-实钻分析结果
     */
    public LjSzfxjg selectLjSzfxjgById(Long id);

    /**
     * 查询邻井-实钻分析结果列表
     * 
     * @param ljSzfxjg 邻井-实钻分析结果
     * @return 邻井-实钻分析结果集合
     */
    public List<LjSzfxjg> selectLjSzfxjgList(LjSzfxjg ljSzfxjg);

    /**
     * 新增邻井-实钻分析结果
     * 
     * @param ljSzfxjg 邻井-实钻分析结果
     * @return 结果
     */
    public int insertLjSzfxjg(LjSzfxjg ljSzfxjg);

    /**
     * 修改邻井-实钻分析结果
     * 
     * @param ljSzfxjg 邻井-实钻分析结果
     * @return 结果
     */
    public int updateLjSzfxjg(LjSzfxjg ljSzfxjg);

    /**
     * 批量删除邻井-实钻分析结果
     * 
     * @param ids 需要删除的邻井-实钻分析结果主键集合
     * @return 结果
     */
    public int deleteLjSzfxjgByIds(Long[] ids);

    /**
     * 删除邻井-实钻分析结果信息
     * 
     * @param id 邻井-实钻分析结果主键
     * @return 结果
     */
    public int deleteLjSzfxjgById(Long id);
}
